For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
      • GETGet the list of all the sub-accounts of the master account.
      • POSTCreate a new sub-account under a master account.
      • GETGet sub-account details
      • DELDelete a sub-account
      • PUTUpdate sub-account plan
      • PUTUpdate sub-accounts plan
      • POSTGenerate SSO token to access admin account
      • POSTGenerate SSO token to access sub-account
      • GETGet the details of requested master account
      • POSTCreate an API key for a sub-account
      • PUTEnable/disable sub-account application(s)
      • POSTCreate a new group of sub-accounts
      • GETList of all IPs
      • POSTAssociate an IP to sub-accounts
      • PUTDissociate an IP to sub-accounts
      • GETGET a group details
      • PUTUpdate a group of sub-accounts
      • DELDelete a group
      • PUTDelete sub-account from group
      • POSTSend invitation to an admin user
      • PUTResend / cancel admin user invitation
      • DELRevoke an admin user
      • GETGet the list of all admin users
      • GETCheck admin user permissions
      • PUTChange admin user permissions
      • GETGet the list of groups
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Accounts and SettingsMaster Account

GET a group details

GET
https://api.brevo.com/v3/corporate/group/:id
GET
/v3/corporate/group/:id
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.masterAccount.getAGroupDetails("id");
8}
9main();
1{
2 "group": {
3 "createdAt": "2024-02-09T06:14:40+00:00",
4 "groupName": "My group",
5 "id": "5f926dba72a405440a4efc97"
6 },
7 "sub-accounts": [
8 {
9 "companyName": "My sub organization",
10 "createdAt": "2024-02-09T06:14:40+00:00",
11 "id": 7866556
12 },
13 {
14 "companyName": "Your sub organization",
15 "createdAt": "2024-01-05T03:11:40+00:00",
16 "id": 6563051
17 }
18 ],
19 "users": [
20 {
21 "email": "my-user@my-org.com",
22 "firstName": "John",
23 "lastName": "Smith"
24 },
25 {
26 "email": "your-user@your-org.com"
27 }
28 ]
29}

This endpoint allows you to retrieve a specific group’s information such as the list of sub-organizations and the user associated with the group.

Was this page helpful?
Previous

Update a group of sub-accounts

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

idstringRequired

Id of the group of sub-organization

Response

Group details
groupobject
sub-accountslist of objects
userslist of objects

Errors

400
Bad Request Error